Bug 323077 - Path already available but error bar doesn't go away
Summary: Path already available but error bar doesn't go away
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: bars: location (show other bugs)
Version: 4.10.5
Platform: Kubuntu Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL: https://dl.dropboxusercontent.com/u/4...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-01 13:57 UTC by Chris Taylor
Modified: 2014-08-22 13:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Taylor 2013-08-01 13:57:26 UTC
If I shutdown my computer where for example I had a usb driver mounted and I had a tab opened in a specific path inside that usb drive. After booting, if the usb drive is not available or not mounted, a red bar shows in Dolphin saying the path is not available. However if I mount the usb drive afterwards, the error bar doesn't go away even though "the path" is now available

Reproducible: Always

Steps to Reproduce:
1. open a tab in a specific path where this path is not automounted at boot
2. Reboot computer
3. Open Dolphin
4. Session should be restored and a red bar should show up stating a path is not available for opening.
5. mount that path and try to browse into it in dolphin
6 error bar is still there
Comment 1 Kai Uwe Broulik 2013-08-03 22:26:21 UTC
I guess the message widget is not to blame but rather the fact that Dolphin isn't aware (notified) if a directory/media comes available again.
Comment 2 Arjun AK 2014-08-20 20:47:46 UTC
Patch to fix this: https://git.reviewboard.kde.org/r/119401/
Comment 3 Arjun AK 2014-08-22 13:25:51 UTC
Git commit e7ef1cb8ece862bde22e7b1750b4235b1d55d1e6 by Arjun AK.
Committed on 22/08/2014 at 13:12.
Pushed by arjunak into branch 'KDE/4.14'.

Hide an already visible KMessageWidget message before showing a new one

1. Do some operation that causes the KMessageWidget to show an error message
2. Immediately Repeat the same action.

The user has no way to know whether the error message is from the second operation or
is a leftover from the first one. By hiding the widget first and then showing it using
animatedShow(), the user can clearly see that a new message was generated. Also once the
directory successfully loads, the widget should be hidden.
FIXED-IN: 4.14.1
REVIEW: 119401

M  +4    -0    dolphin/src/dolphinviewcontainer.cpp

http://commits.kde.org/kde-baseapps/e7ef1cb8ece862bde22e7b1750b4235b1d55d1e6